Cancel Payment Link
curl --request POST \
--url https://api-sandbox.y.uno/v1/payment-links/{code}/cancel \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/payment-links/{code}/cancel"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/payment-links/{code}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "aace3f6d-e26d-45d0-9a4f-66523909ddf9",
"country": "US",
"availability": {
"start_at": "2023-01-15T14:00:12Z",
"finish_at": "2023-10-29T14:00:12Z"
},
"status": "CANCELED",
"description": "PRUEBA PAYMENT LINK 10/07",
"amount": {
"currency": "USD",
"value": 5000
},
"metadata": [
{
"key": "some key",
"value": "some value"
}
],
"split_payment_methods": false,
"payment_method_types": [
"PSE"
],
"one_time_use": true,
"callback_url": "https://checkout.sandbox.y.uno/payment/status",
"installments_plan": null,
"customer_payer": null,
"taxes": null,
"additional_data": {
"airline": null,
"order": null,
"seller_details": null
},
"organization_code": "b887a970-9722-44fe-ab17-106bf1b93577",
"account_code": "8147da44-4de9-48ff-a194-51b2cd7d2a03",
"checkout_url": "https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359",
"payments_number": 0,
"merchant_image": ""
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}Cancel Payment Link
POST
/
payment-links
/
{code}
/
cancel
Cancel Payment Link
Authorizations
Path Parameters
The code of the payment link (UUID, 36 chars)
Response
200
Example:
"aace3f6d-e26d-45d0-9a4f-66523909ddf9"
Example:
"US"
Show child attributes
Show child attributes
Example:
"CANCELED"
Example:
"PRUEBA PAYMENT LINK 10/07"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
false
Example:
true
Example:
"https://checkout.sandbox.y.uno/payment/status"
Show child attributes
Show child attributes
Example:
"b887a970-9722-44fe-ab17-106bf1b93577"
Example:
"8147da44-4de9-48ff-a194-51b2cd7d2a03"
Example:
"https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359"
Example:
0
Example:
""
Was this page helpful?
⌘I